{ config, pkgs, lib, ... }:
{
# The home.packages option allows you to install Nix packages into your
  # environment.
  home.packages = with pkgs; [
    # List of programs
    thunderbird
    #signal-desktop
    vscodium # ide 
    vlc # video player
    keepassxc # password manager
    alacritty # terminal emulator
    #logseq # note taking organization
    okular # pdf viewer
    firefox # browser
    borgbackup # system/data bakups
    filezilla # ftp client
    #inetutils # ftp cli
    discord

    # utility
    ranger
    vimiv-qt
    zip
    unzip
    htop
    btop
    pulsemixer
    brightnessctl
    gammastep # color temperature
    swaybg
    xwayland
    grim # screenshot functionality
    slurp # screenshot functionality
    wl-clipboard # wl-copy and wl-paste for copy/paste from stdin / stdout
    mako # notification system developed by swaywm maintainer

    # secret management
    age
    sops
    
    # steam deck touch compability in non-steam games
    #caribou
    #evtest # for input key testing

    # # It is sometimes useful to fine-tune packages, for example, by applying
    # # overrides. You can do that directly here, just don't forget the
    # # parentheses. Maybe you want to install Nerd Fonts with a limited number of
    # # fonts?
    #(pkgs.nerdfonts.override { fonts = [ "FantasqueSansMono" ]; })
    nerd-fonts.fantasque-sans-mono
    nerd-fonts.droid-sans-mono
    nerd-fonts.jetbrains-mono
    nerd-fonts.hack
  ];
}
